## bacula 7.4.3+dfsg

=== debian/changelog ===
bacula (7.4.3+dfsg-1+sid1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 17 Aug 2016 12:55:14 +0200

bacula (7.4.3+dfsg-1+sid1) unstable; urgency=medium

  * Fix init scripts to make sure the daemons can be stopped before
    upgrades or when /etc/defaults/bacula-* were edited

 -- Carsten Leonhardt <leo@debian.org>  Wed, 03 Aug 2016 20:13:59 +0200

bacula (7.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix MySQL database creation via dbconfig-common (Closes: #830999)
  * Really fix PostgreSQL upgrades

 -- Carsten Leonhardt <leo@debian.org>  Mon, 18 Jul 2016 14:14:24 +0200

bacula (7.4.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed debian patches and dropped fix-mysql-libdir.patch as it's no
    longer needed
  * Added Pre-Depends on ${misc:Pre-Depends} for all packages

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Jul 2016 13:22:41 +0200
