=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Carsten Leonhardt <leo@debian.org>
Build-Depends:
 autoconf,
 autotools-dev,
 bc,
 debhelper (>= 9),
 libacl1-dev,
 libcap-dev [linux-any],
 libgnome2-dev,
 libgnomeui-dev,
 libgtk2.0-dev,
 libkrb5-dev,
 liblzo2-dev,
 libmysqlclient-dev,
 libpq-dev (>= 9.1),
 libqt4-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev,
 libwrap0-dev,
 libx11-dev,
 libxt-dev,
 mtx [!hurd-any],
 po-debconf,
 postgresql-server-dev-all,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bacula/bacula.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-bacula/bacula.git
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-client, bacula-server, ${misc:Depends}
Suggests: bacula-doc
Description: network backup service - metapackage
 Bacula is a set of programs to manage backup, recovery, and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Replaces: bacula-director-common
Architecture: any
Pre-Depends:
 adduser,
 ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests:
 bacula-doc,
 gdb,
Description: network backup service - common support files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-mysql, bacula-common-pgsql
Description: network backup service - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.

Package: bacula-common-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-mysql, bacula-common-sqlite3
Description: network backup service - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: bacula-doc
Conflicts: bacula-common-pgsql, bacula-common-sqlite3
Description: network backup service - MySQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-director-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 bsd-mailx | mailx,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - Director common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides common files for the Bacula Director daemon.

Package: bacula-director-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-sqlite3
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-sqlite3 | dbconfig-no-thanks,
 file,
 sqlite3,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Suggests: gawk, ${perl:Depends}
Description: network backup service - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in an SQLite 3 database, and thus is
 suitable for smaller installations.

Package: bacula-director-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-mysql
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-mysql | dbconfig-no-thanks,
 mysql-client | virtual-mysql-client,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: mysql-server | virtual-mysql-server
Suggests: gawk, ${perl:Depends}
Description: network backup service - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a MySQL database, and thus is
 suitable for large installations.

Package: bacula-director-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-pgsql
 (>= ${binary:Version}),
 bacula-director-common (= ${binary:Version}),
 dbconfig-pgsql | dbconfig-no-thanks,
 postgresql-client (>= 7.4),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: postgresql (>= 7.4)
Suggests: gawk, postgresql-contrib, ${perl:Depends}
Description: network backup service - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a PostgreSQL database, and thus is
 suited for large installations.

Package: bacula-client
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-console (>= ${source:Version}),
 bacula-fd
 (>= ${source:Version}),
 ${misc:Depends}
Description: network backup service - client metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a metapackage for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 lsb-base,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - file daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.

Package: bacula-server
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-director-sqlite3 (>= ${source:Version}) | bacula-director,
 bacula-sd (>= ${source:Version}),
 bacula-sd-sqlite3 (>= ${source:Version}) | bacula-sd-tools,
 ${misc:Depends}
Recommends: bacula-fd
Description: network backup service - server metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This metapackage provides a standard server install, consisting of the
 director and storage daemons.

Package: bacula-sd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 lsb-base,
 mtx [!hurd-any],
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: bacula-sd-sqlite3 (>= ${source:Version}) | bacula-sd-tools, mt-st
Suggests: dds2tar, python, scsitools, sg3-utils
Description: network backup service - storage daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.

Package: bacula-sd-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-sqlite3 (>= ${binary:Version}),
 bacula-sd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-sd-tools
Replaces: bacula-sd-tools
Provides: bacula-sd-tools
Description: network backup service - SQLite 3 SD tools
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 This package contains SQLite 3 versions of the bscan and bcopy utilities,
 which are used for recovery when Bacula's catalog is unavailable.

Package: bacula-sd-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-mysql
 (>= ${binary:Version}),
 bacula-sd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-sd-tools
Replaces: bacula-sd-tools
Provides: bacula-sd-tools
Description: network backup service - MySQL SD tools
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 This package contains MySQL versions of the bscan and bcopy utilities,
 which are used for recovery when Bacula's catalog is unavailable.

Package: bacula-sd-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-pgsql
 (>= ${binary:Version}),
 bacula-sd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: bacula-sd-tools
Replaces: bacula-sd-tools
Provides: bacula-sd-tools
Description: network backup service - PostgreSQL SD tools
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
