## bacula 7.4.4+dfsg

=== debian/changelog ===
bacula (7.4.4+dfsg-6+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2020-11061
    oversized digest strings allow a malicious client to cause
    a heap overflow in the director's memory
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Aug 2020 20:03:02 +0200

bacula (7.4.4+dfsg-6+deb9u1) stretch; urgency=medium

  [Sven Hartge]
  * Let PID files be owned by root. Mitigates a minor security problem
    similar to CVE 2017-14610. Note that this change disables automatic
    tracebacks.

  [Carsten Leonhardt]
  * Added transitional package bacula-director-common, the old leftover
    package can't be safely purged otherwise (it deletes
    /etc/bacula/bacula-dir.conf in postrm which now belongs to the
    bacula-director package). For the case when the package
    bacula-director-common is deinstalled but not purged, we neutralize
    the offending postrm script when upgrading bacula-common. (Closes:
    #880529)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 04 Mar 2018 12:49:11 +0100

bacula (7.4.4+dfsg-6) unstable; urgency=medium

  [Sven Hartge]
  * Backport fix for btape fill test from 7.4.5 (Closes: #855645)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 26 Feb 2017 13:39:25 +0100

bacula (7.4.4+dfsg-5) unstable; urgency=medium

  * Fix FTBS for build-indep
  * Added a note about the monitoring plugin to README.Debian

 -- Carsten Leonhardt <leo@debian.org>  Thu, 19 Jan 2017 11:14:44 +0100

bacula (7.4.4+dfsg-4) unstable; urgency=medium

  * Change build-depends to alternatively include libssl-dev (<< 1.1.0~)
    As suggested by Adrian Bunk in Bug#828475
  * Include the (officially unsupported) monitoring plugin "check_bacula"
    in bacula-common (Closes: #675466)
  * Change vcs-git field in debian/control to point to https

 -- Carsten Leonhardt <leo@debian.org>  Thu, 19 Jan 2017 00:03:05 +0100

bacula (7.4.4+dfsg-3) unstable; urgency=medium

  * Change Build-Depends to make sure we stay with OpenSSL 1.0, because
    bacula is not yet ready to use OpenSSL 1.1.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 03 Nov 2016 17:44:15 +0100

bacula (7.4.4+dfsg-2) experimental; urgency=medium

  [Carsten Leonhardt]
  * Added version to Depends on lsb-base (found by lintian)
  * Use the new default-mysql-* metapackages in dependencies
  * Bump debhelper compat level to 10, parallel build now default

  [Sven Hartge]
  * Remove configuration option to change runtime user for director
    and storage daemon. This was never really possible without
    recompiling the package in the first place.
    This change also fixes problems with automatic backtrace
    generation which does not work if the daemon changes its
    uid/git itself. (See Issue#1905 in Bacula-BTS and commit
    39240129 and f085b9e9 in upstream git.)
  * Change owner of /etc/bacula/bacula-sd.conf to bacula
    bacula-sd needs to read it while already running as non-root
    user bacula.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 19 Oct 2016 23:19:19 +0200

bacula (7.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refreshed debian patches and dropped
    fix-bring-back-tmpfiles-configuration.patch as it's no longer needed
  * Moved "Suggests: bacula-doc" to package bacula-director

 -- Carsten Leonhardt <leo@debian.org>  Wed, 21 Sep 2016 17:59:43 +0200

bacula (7.4.3+dfsg-7) unstable; urgency=high

  * Handle make_catalog_backup script in postinst of package
    bacula-director, inserting the correct database user (Closes: #838080)
  * Move make_catalog_backup.pl to package bacula-director

 -- Carsten Leonhardt <leo@debian.org>  Mon, 19 Sep 2016 17:55:43 +0200

bacula (7.4.3+dfsg-6) unstable; urgency=low

  [Sven Hartge]
  * Fix boot dependencies of bacula-dir.service to be on par with
    the SysV init-script.

  [Carsten Leonhardt]
  * Fix check for ucf in postrm template (Closes: #837333)
  * Add various lintian overrides
  * Correct VCS-Browser field in debian/control

 -- Carsten Leonhardt <leo@debian.org>  Sun, 11 Sep 2016 21:53:53 +0200

bacula (7.4.3+dfsg-5) unstable; urgency=low

  Continue reorganisation of packages:

  * Don't delete all of /etc/bacula when purging bacula-common
  * Automated creation of most postrm scripts
  * /etc/default/bacula-dir and bacula-dir.conf are now handled in package
    bacula-director
  * Cleanup of postinst scripts, safer password handling,
    no longer create unneeded .dist files of config files (Closes: #493092)
  * Deleted obsolete code from various places in debian/*
  * Removed obsolete information from README.Debian
  * Removed obsolete check for insecure bacula-director passwords
  * Uncluttered debian/ by automating creation of most maintscript files
  * Added script "autopostrm" to autogenerate and clean up most postrm
    scripts

 -- Carsten Leonhardt <leo@debian.org>  Fri, 09 Sep 2016 17:44:00 +0200

bacula (7.4.3+dfsg-4) experimental; urgency=medium

  * Fix init scripts to make sure the daemons can be stopped before
    upgrades or when /etc/default/bacula-* were edited
    (merged from 7.4.3+dfsg-1+sid1)
  * Use /run and /run/lock instead of /var/run and /var/lock

  Continue reorganisation of packages:

  * change postinst/postrm files to correctly handle the script
    delete_catalog_backup in bacula-director (Closes: #834034)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 29 Aug 2016 13:34:08 +0200

bacula (7.4.3+dfsg-3) experimental; urgency=medium

  Reorganisation of packages, providing the necessary Breaks/Conflicts for
  the transitions. Thanks to Sven Hartge for his help.

  * Remove link /usr/bin/bconsole, finishing bconsole's transition to
    /usr/sbin/ started in 5.0.3+dfsgreal-1
  * Move all common files from bacula-diretor-DBTYPE to
    bacula-director-common
  * Move bcopy and btape from bacula-sd-DBTYPE to bacula-sd
  * Move bscan into it's own package, making bacula-sd-DBTYPE obsolete
  * Move libbacsql from bacula-common-DBTYPE to bacula-common

