=== debian/rules ===
--- 
+++ 
@@ -40,25 +40,25 @@
 	--sharedstatedir=/var/lib/bacula \
 	--localstatedir=/var/lib/bacula \
 	--with-logdir=/var/log/bacula \
-	--with-pid-dir=/var/run/bacula \
+	--with-pid-dir=/run/bacula \
 	--with-smtp-host=localhost \
 	--with-working-dir=/var/lib/bacula \
-	--with-subsys-dir=/var/lock \
+	--with-subsys-dir=/run/lock \
 	--with-dump-email=root \
 	--with-job-email=root \
 	--with-mysql --with-postgresql --with-sqlite3 \
 	--enable-bat --with-x
 
-#ifeq ($(DEB_HOST_ARCH_OS),linux)
-#CONF_ALL	+= --with-systemd=/lib/systemd/system
-#endif
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+CONF_ALL	+= --with-systemd=/lib/systemd/system
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CONF_ALL	+= --disable-acl --disable-xattr
 endif
 
 #set to 1 if configured with systemd
-#HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))
+HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))
 
 LONGNAME_mysql		= mysql
 LONGNAME_pgsql		= postgresql
@@ -93,44 +93,49 @@
 endef
 
 %:
-	dh $@ --with autotools_dev --parallel
+ifeq ($(HAVE_SYSTEMD),1)
+	dh $@ --with autotools_dev,systemd
+else
+	dh $@ --with autotools_dev
+endif
 
+# For packages depending on bacula-director-DBTYPE, we handle the
+# dependencies on that ourselves, because dpkg-shlibdeps doesn't
+# understand the variants
 override_dh_shlibdeps:
-	# Handle shlibs for the database packages specially so they get
-	# the deps on the correct libraries.
-	dh_shlibdeps -pbacula-sd-mysql -Lbacula-common-mysql
-	dh_shlibdeps -pbacula-director-mysql -Lbacula-common-mysql
-	dh_shlibdeps -pbacula-sd-sqlite3 -Lbacula-common-sqlite3
-	dh_shlibdeps -pbacula-director-sqlite3 -Lbacula-common-sqlite3
-	dh_shlibdeps -pbacula-sd-pgsql -Lbacula-common-pgsql
-	dh_shlibdeps -pbacula-director-pgsql -Lbacula-common-pgsql
-	# Now build all other shlibdeps.
-	dh_shlibdeps -a -Nbacula-sd-mysql -Nbacula-director-mysql \
-		-Nbacula-sd-sqlite3 -Nbacula-director-sqlite3 \
-		-Nbacula-sd-pgsql -Nbacula-director-pgsql
+	dh_shlibdeps -pbacula-bscan -pbacula-director -- -xbacula-common-mysql -xbacula-common-pgsql -xbacula-common-sqlite3
+	dh_shlibdeps -a --remaining-packages
 
-override_dh_installinit-arch:
-	dh_installinit -pbacula-sd -- defaults 90 10
-	dh_installinit -pbacula-fd -- defaults 91 9
-	dh_installinit -pbacula-director-common --name=bacula-director --no-start -- defaults 92 8
+override_dh_auto_build-arch:
+	dh_auto_build -a
+# also build the monitoring plugin from the examples
+	make -C examples/nagios/check_bacula
 
 override_dh_install-arch:
 	dh_install -a
 	######### dbconfig-common stuff
 	# The script install-dbconfig needs to be adapted when upstream changes the database format!
 	debian/scripts/install-dbconfig # handles install of all upgrade/install scripts to db version 11 and greater
-	# fix database type in some scripts
-	$(foreach db,$(VARIANTS),sed -i \
-	  -e "s/XX_DB_XX/$(db)/" \
-		-e "s/XX_DBLONGNAME_XX/$(LONGNAME_$(db))/" \
-		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup \
-		debian/bacula-director-$(db)/etc/bacula/scripts/make_catalog_backup.pl;)
-#ifeq ($(HAVE_SYSTEMD),1)
-#	# only install systemd related files if systemd is enabled during build
-#	install -m 644 platforms/systemd/bacula-fd.service -D debian/bacula-fd/lib/systemd/system/bacula-fd.service
-#	install -m 644 platforms/systemd/bacula-sd.service -D debian/bacula-sd/lib/systemd/system/bacula-sd.service
-#	install -m 644 platforms/systemd/bacula-dir.service -D debian/bacula-director-common/lib/systemd/system/bacula-director.service
-#endif
+# create a reference of which database type is installed on the system
+# and a link to the dbconfig information that is dbtype independent
+	$(foreach db,$(VARIANTS), \
+		mkdir -p debian/bacula-common-$(db)/usr/share/bacula-common; \
+		echo $(db) > debian/bacula-common-$(db)/usr/share/bacula-common/dbtype; \
+		ln -s /etc/dbconfig-common/bacula-director-$(db).conf debian/bacula-common-$(db)/usr/share/bacula-common/dbc_database.conf;)
+ifeq ($(HAVE_SYSTEMD),1)
+	# only install systemd related files if systemd is enabled during build
+	install -m 644 platforms/systemd/bacula.conf -D debian/bacula-common/usr/lib/tmpfiles.d/bacula.conf
+	install -m 644 platforms/systemd/bacula-fd.service -D debian/bacula-fd/lib/systemd/system/bacula-fd.service
+	install -m 644 platforms/systemd/bacula-sd.service -D debian/bacula-sd/lib/systemd/system/bacula-sd.service
+	install -m 644 platforms/systemd/bacula-dir.service -D debian/bacula-director/lib/systemd/system/bacula-director.service
+endif
+
+override_dh_installexamples:
+# The monitoring plugin in the examples needs to be cleaned, otherwise
+# builds will not be reproducible. But only if the makefile exists,
+# which it doesn't if we only build-indep.
+	@[ -f examples/nagios/check_bacula/Makefile ] && make -C examples/nagios/check_bacula libtool-clean distclean || true
+	dh_installexamples
 
 override_dh_installdocs:
 	dh_installdocs -pbacula --link-doc=bacula-server
@@ -146,6 +151,8 @@
 	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
 	autoconf -I autoconf/ -o configure autoconf/configure.in
 	dh_auto_configure -- $(CONF_ALL)
+	debian/scripts/generate-doc-dir-to-symlink-migration create
+	debian/scripts/autopostrm create
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n -Xbpipe-fd.so
@@ -156,6 +163,8 @@
 	$(foreach db,$(VARIANTS),$(call db-templates-cleanup,$(db)))
 	dh_autotools-dev_restoreconfig
 	dh_clean
+	debian/scripts/generate-doc-dir-to-symlink-migration clean
+	debian/scripts/autopostrm clean
 
 override_dh_fixperms-arch:
 	dh_fixperms -a
