=== debian/watch ===
version=4
opts="dversionmangle=s/[~+]dfsg//,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.sig/" \
http://sf.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)\.tar\.gz debian uupdate
